//
//  GSReadFromCharstring.h
//  GlyphsCore
//
//  Created by Georg Seifert on 03.12.12.
//  Copyright (c) 2012 schriftgestaltung.de. All rights reserved.
//

#import <Foundation/Foundation.h>

NSString *copyReadString(const char *Line, NSInteger Length) __attribute((ns_returns_retained));

NSString *copyReadQuotedString(const char *Line, NSInteger maxLength);

NSString *copyReadTextLine(const char *Line, size_t Length) __attribute((ns_returns_retained));

NSString *copyReadText(const char *Line, size_t Length, FILE *File, char EndChar) __attribute((ns_returns_retained));

void skipWhite(const char *Line, NSUInteger *pos, NSUInteger length);

NSInteger readInt(const char *Line, NSUInteger *Pos);

NSInteger readHex(const char *Line, NSUInteger *Pos);

CGFloat String2Float(NSString *string);

CGFloat readFloat(const char *Line, NSUInteger *Pos);

BOOL readFloatList(const char *Line, NSUInteger *Pos, CGFloat *values, NSInteger *count);

BOOL readIntList(const char *Line, NSUInteger *Pos, NSInteger *values, NSInteger *count);

NSPoint readPoint(const char *Line, NSUInteger *Pos);

NSColor *readColor(const char *Line, NSUInteger *Pos);

NSString *copyReadKey(const char *Line, NSUInteger *Pos) __attribute((ns_returns_retained));

NSString *copyReadValue(const char *Line, NSUInteger *Pos, NSUInteger MaxLength) __attribute((ns_returns_retained));

NSDate *readDate(const char *Line, NSUInteger Length);

NSDate *dateFromString(const char *line, NSUInteger *pos);

NSAffineTransformStruct readTransformation(const char *Line, NSUInteger *Pos);
